View Issue Details

IDProjectCategoryView StatusLast Update
0006021DarkRadiantGUIpublic30.07.2022 07:48
Reportergreebo Assigned Togreebo  
PrioritynormalSeveritynormalReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version3.0.0 
Target Version3.1.0Fixed in Version3.1.0 
Summary0006021: Add "Show Definition" to all ResourceTreeView instances
DescriptionWith the generic IDeclaration interface the ResourceTreeView can display the "Show Definition" context menu item for all appropriate decl types, replacing any custom implementations in MaterialTreeView, etc.
TagsNo tags attached.

Relationships

related to 0005743 resolvedgreebo Feature: "show definition" for more asset types 

Activities

There are no notes attached to this issue.

Related Changesets

DarkRadiant: master 17c9c079

2022-07-24 04:50:20

greebo

Details Diff
0006021: Introduce DeclarationTreeView based on ResourceTreeView. Affected Issues
0006021
mod - libs/wxutil/CMakeLists.txt Diff File
add - libs/wxutil/dataview/DeclarationTreeView.cpp Diff File
add - libs/wxutil/dataview/DeclarationTreeView.h Diff File
mod - radiant/ui/particles/ParticleSelector.cpp Diff File
mod - radiant/ui/particles/ParticleSelector.h Diff File
mod - tools/msvc/wxutillib.vcxproj Diff File
mod - tools/msvc/wxutillib.vcxproj.filters Diff File

DarkRadiant: master c8614889

2022-07-24 04:59:37

greebo

Details Diff
0006021: Add decl::Type as mandatory parameter to DeclarationTreeView constructors. Add context menu item to show the source text. Affected Issues
0006021
mod - install/menu.xml Diff File
mod - libs/wxutil/dataview/DeclarationTreeView.cpp Diff File
mod - libs/wxutil/dataview/DeclarationTreeView.h Diff File
mod - radiant/ui/particles/ParticleSelector.cpp Diff File

DarkRadiant: master ddbd3e55

2022-07-24 05:08:30

greebo

Details Diff
0006021: Move DefinitionView to wxutil. Introduce DeclarationSourceView to specialise on declaration types. Affected Issues
0006021
mod - libs/wxutil/CMakeLists.txt Diff File
add - libs/wxutil/DeclarationSourceView.h Diff File
mod - libs/wxutil/dataview/DeclarationTreeView.cpp Diff File
mod - radiant/CMakeLists.txt Diff File
mod - radiant/ui/common/SoundShaderDefinitionView.h Diff File
mod - radiant/ui/materials/MaterialDefinitionView.h Diff File
mod - tools/msvc/DarkRadiant.vcxproj Diff File
mod - tools/msvc/DarkRadiant.vcxproj.filters Diff File
mod - tools/msvc/wxutillib.vcxproj Diff File
mod - tools/msvc/wxutillib.vcxproj.filters Diff File

DarkRadiant: master ddc4ed96

2022-07-24 05:42:37

greebo

Details Diff
0006021: DeclarationTreeView extends the common ResourceTreeView::Columns to provide the exact declaration name. Affected Issues
0006021
mod - libs/wxutil/dataview/DeclarationTreeView.cpp Diff File
mod - libs/wxutil/dataview/DeclarationTreeView.h Diff File
mod - radiant/ui/particles/ThreadedParticlesLoader.h Diff File

DarkRadiant: master 78650002

2022-07-24 12:18:53

greebo

Details Diff
0006021: MaterialTreeView is inheriting DeclarationTreeView now Affected Issues
0006021
mod - radiant/ui/materials/MaterialPopulator.cpp Diff File
mod - radiant/ui/materials/MaterialTreeView.cpp Diff File
mod - radiant/ui/materials/MaterialTreeView.h Diff File
mod - radiant/ui/mediabrowser/MediaBrowserTreeView.cpp Diff File

DarkRadiant: master e7e7840e

2022-07-24 13:43:29

greebo

Details Diff
0006021: SoundChooser makes use of DeclarationTreeView to display the sound shaders Affected Issues
0006021
mod - radiant/ui/common/SoundChooser.cpp Diff File
mod - radiant/ui/common/SoundChooser.h Diff File

DarkRadiant: master cbedaadf

2022-07-24 13:47:46

greebo

Details Diff
0006021: EntityClassChooser is using DeclarationTreeView Affected Issues
0006021
mod - libs/wxutil/EntityClassChooser.cpp Diff File
mod - libs/wxutil/EntityClassChooser.h Diff File

DarkRadiant: master 767f360e

2022-07-24 14:41:02

greebo

Details Diff
0006021: Move SkinChooser to ui/common/ Affected Issues
0006021
mod - radiant/CMakeLists.txt Diff File
mod - radiant/ui/einspector/ModelPropertyEditor.cpp Diff File
mod - radiant/ui/einspector/SkinPropertyEditor.cpp Diff File
mod - tools/msvc/DarkRadiant.vcxproj Diff File
mod - tools/msvc/DarkRadiant.vcxproj.filters Diff File

DarkRadiant: master c7cba892

2022-07-24 14:52:23

greebo

Details Diff
0006021: Remove SkinChooser singleton, instantiate a new instance every time a skin is requested Affected Issues
0006021
mod - radiant/ui/common/SkinChooser.cpp Diff File
mod - radiant/ui/common/SkinChooser.h Diff File

DarkRadiant: master 91db9c66

2022-07-24 15:21:02

greebo

Details Diff
0006021: Start migrating SkinChooser to use the DeclarationTreeView type Affected Issues
0006021
mod - radiant/ui/common/SkinChooser.cpp Diff File
mod - radiant/ui/common/SkinChooser.h Diff File

DarkRadiant: master af334cb1

2022-07-24 15:31:33

greebo

Details Diff
0006021: Ensure that SkinChooser's "All Skins" folder is initially collapsed (unless the active skin is listed there), as requested in 0005388 Affected Issues
0005388, 0006021
mod - radiant/ui/common/SkinChooser.cpp Diff File

DarkRadiant: master 89801e85

2022-07-24 15:53:48

greebo

Details Diff
0006021: Correctly populate the SkinChooser tree model to enable Affected Issues
0006021
mod - radiant/ui/common/SkinChooser.cpp Diff File

DarkRadiant: master a68fd9db

2022-07-24 16:10:18

greebo

Details Diff
0006021: Add ResourceTreeViewToolbar to SkinChooser Affected Issues
0006021
mod - radiant/ui/common/SkinChooser.cpp Diff File
mod - radiant/ui/common/SkinChooser.h Diff File

DarkRadiant: master a6bd7a2a

2022-07-24 18:07:42

greebo

Details Diff
0006021: Allow set/unset favourites to operate non-recursively if desired Affected Issues
0006021
mod - libs/wxutil/dataview/ResourceTreeView.cpp Diff File
mod - libs/wxutil/dataview/ResourceTreeView.h Diff File

DarkRadiant: master 6c3454b7

2022-07-24 18:08:31

greebo

Details Diff
0006021: Migrate Entity Class Tree to use the DeclarationTreeView widget Affected Issues
0006021
mod - radiant/ui/common/SkinChooser.cpp Diff File
mod - radiant/ui/eclasstree/EClassTree.cpp Diff File
mod - radiant/ui/eclasstree/EClassTree.h Diff File
mod - radiant/ui/eclasstree/EClassTreeBuilder.cpp Diff File
mod - radiant/ui/eclasstree/EClassTreeBuilder.h Diff File

DarkRadiant: master 3466b76b

2022-07-24 18:33:04

greebo

Details Diff
0006021: Add ResourceTreeViewToolbar to Entity Class Tree for filtering and favourite management Affected Issues
0006021
mod - radiant/ui/eclasstree/EClassTree.cpp Diff File
mod - radiant/ui/eclasstree/EClassTree.h Diff File

DarkRadiant: master ce7acbbe

2022-07-29 05:20:20

greebo

Details Diff
0006021: Add IEntityClassManager::forEachEntityClass accepting a function object Affected Issues
0006021
mod - include/ieclass.h Diff File
mod - radiantcore/eclass/EClassManager.cpp Diff File
mod - radiantcore/eclass/EClassManager.h Diff File
mod - test/EntityClass.cpp Diff File

DarkRadiant: master df634e46

2022-07-29 05:22:22

greebo

Details Diff
0006021: AIHeadChooserDialog is using DeclarationTreeView now Affected Issues
0006021
mod - plugins/dm.editing/AIHeadChooserDialog.cpp Diff File
mod - plugins/dm.editing/AIHeadChooserDialog.h Diff File

DarkRadiant: master d8537733

2022-07-29 05:31:48

greebo

Details Diff
0006021: Added ResourceTreeViewToolbar to AIHeadChooserDialog's tree view Affected Issues
0006021
mod - plugins/dm.editing/AIHeadChooserDialog.cpp Diff File
mod - plugins/dm.editing/AIHeadChooserDialog.h Diff File

DarkRadiant: master 08618933

2022-07-29 05:34:20

greebo

Details Diff
0006021: Add explicit interface to select/query decl names when using DeclarationTreeView Affected Issues
0006021
mod - libs/wxutil/dataview/DeclarationTreeView.cpp Diff File
mod - libs/wxutil/dataview/DeclarationTreeView.h Diff File
mod - plugins/dm.editing/AIHeadChooserDialog.cpp Diff File

DarkRadiant: master 2231bcc6

2022-07-29 06:02:35

greebo

Details Diff
0006021: Further simplifications in AIHeadChooserDialog Affected Issues
0006021
mod - plugins/dm.editing/AIHeadChooserDialog.cpp Diff File

DarkRadiant: master 86656af9

2022-07-29 06:19:06

greebo

Details Diff
0006021: Refactor AIVocalSetChooserDialog Affected Issues
0006021
mod - plugins/dm.editing/AIVocalSetChooserDialog.cpp Diff File
mod - plugins/dm.editing/AIVocalSetChooserDialog.h Diff File

DarkRadiant: master bb923b00

2022-07-29 06:35:51

greebo

Details Diff
0006021: Share the same ThreadedEntityDefPopulator class to reduce code duplication Affected Issues
0006021
mod - plugins/dm.editing/AIHeadChooserDialog.cpp Diff File
mod - plugins/dm.editing/AIVocalSetChooserDialog.cpp Diff File
add - plugins/dm.editing/ThreadedEntityDefPopulator.h Diff File
mod - tools/msvc/dm.editing.vcxproj Diff File
mod - tools/msvc/dm.editing.vcxproj.filters Diff File

DarkRadiant: master 5811d7ec

2022-07-29 06:44:58

greebo

Details Diff
0006021: Respect the eclass visibility property Affected Issues
0006021
mod - plugins/dm.editing/AIHeadChooserDialog.cpp Diff File
mod - plugins/dm.editing/ThreadedEntityDefPopulator.h Diff File

DarkRadiant: master 4c99a47f

2022-07-29 07:04:12

greebo

Details Diff
0006021: Refactoring in SoundChooser Affected Issues
0006021
mod - radiant/ui/common/SoundChooser.cpp Diff File

DarkRadiant: master 7e9f2b16

2022-07-29 07:17:52

greebo

Details Diff
0006021: Offer a virtual method such that subclasses can choose which DeclarationSourceView to use. Refactoring. Affected Issues
0006021
mod - libs/wxutil/dataview/DeclarationTreeView.cpp Diff File
mod - libs/wxutil/dataview/DeclarationTreeView.h Diff File

DarkRadiant: master bd51b602

2022-07-29 07:48:02

greebo

Details Diff
0006021: DeclarationSourceView is now picking the right source view control based on the given declaration.
The SoundShaderDefinitionView file pair can now be removed.
Affected Issues
0006021
mod - libs/wxutil/DeclarationSourceView.h Diff File
mod - radiant/CMakeLists.txt Diff File
mod - radiant/ui/common/SoundChooser.cpp Diff File
mod - radiant/ui/common/SoundChooser.h Diff File
rm - radiant/ui/common/SoundShaderDefinitionView.cpp Diff File
rm - radiant/ui/common/SoundShaderDefinitionView.h Diff File
mod - tools/msvc/DarkRadiant.vcxproj Diff File
mod - tools/msvc/DarkRadiant.vcxproj.filters Diff File

DarkRadiant: master 103f87bb

2022-07-29 08:08:00

greebo

Details Diff
0006021: Add ability to switch the shown declaration at a later point. Monitor the declaration for changes Affected Issues
0006021
mod - libs/wxutil/DeclarationSourceView.h Diff File
mod - libs/wxutil/dataview/DeclarationTreeView.cpp Diff File

DarkRadiant: master 16d33ce8

2022-07-29 08:22:38

greebo

Details Diff
0006021: Replace MaterialDefinitionView with the generic DeclarationSourceView. Affected Issues
0006021
mod - libs/wxutil/DeclarationSourceView.h Diff File
mod - libs/wxutil/DefinitionView.cpp Diff File
mod - libs/wxutil/DefinitionView.h Diff File
mod - libs/wxutil/dataview/DeclarationTreeView.cpp Diff File
mod - radiant/CMakeLists.txt Diff File
mod - radiant/ui/common/ShaderSelector.cpp Diff File
rm - radiant/ui/materials/MaterialDefinitionView.cpp Diff File
rm - radiant/ui/materials/MaterialDefinitionView.h Diff File
mod - radiant/ui/mediabrowser/MediaBrowserTreeView.cpp Diff File
mod - radiant/ui/modelselector/MaterialsList.cpp Diff File
mod - tools/msvc/DarkRadiant.vcxproj Diff File
mod - tools/msvc/DarkRadiant.vcxproj.filters Diff File

DarkRadiant: master 3d6781f0

2022-07-29 08:25:29

greebo

Details Diff
0006021: Remove now redundant Show Shader Definition context menu item from MediaBrowserTreeView Affected Issues
0006021
mod - radiant/ui/mediabrowser/MediaBrowserTreeView.cpp Diff File
mod - radiant/ui/mediabrowser/MediaBrowserTreeView.h Diff File

DarkRadiant: master 09c62102

2022-07-29 09:05:51

greebo

Details Diff
0006021: Refactor ShaderSelector to use the DeclarationTreeView type, removing lots of redundant code. Affected Issues
0006021
mod - radiant/ui/common/ShaderSelector.cpp Diff File
mod - radiant/ui/common/ShaderSelector.h Diff File

DarkRadiant: master 601c6fbc

2022-07-29 09:32:55

greebo

Details Diff
0006021: Refactor MD5AnimationViewer to use the DeclarationTreeView Affected Issues
0006021
mod - radiant/ui/animationpreview/MD5AnimationViewer.cpp Diff File
mod - radiant/ui/animationpreview/MD5AnimationViewer.h Diff File

DarkRadiant: master 02bf1b0c

2022-07-29 09:37:13

greebo

Details Diff
0006021: Add ResourceTreeViewToolbar to MD5AnimationViewer Affected Issues
0006021
mod - radiant/ui/animationpreview/MD5AnimationViewer.cpp Diff File

DarkRadiant: master 8aecb592

2022-07-29 10:17:34

greebo

Details Diff
0006021: Introduce ThreadedDeclarationTreePopulator as shared base for all the populators dealing with IDeclaration trees Affected Issues
0006021
add - libs/wxutil/dataview/ThreadedDeclarationTreePopulator.h Diff File
mod - plugins/dm.editing/ThreadedEntityDefPopulator.h Diff File
mod - radiant/ui/animationpreview/MD5AnimationViewer.cpp Diff File
mod - radiant/ui/common/ShaderSelector.cpp Diff File
mod - radiant/ui/common/SkinChooser.cpp Diff File
mod - radiant/ui/common/SoundChooser.cpp Diff File
mod - radiant/ui/eclasstree/EClassTreeBuilder.cpp Diff File
mod - radiant/ui/eclasstree/EClassTreeBuilder.h Diff File
mod - radiant/ui/materials/MaterialPopulator.cpp Diff File
mod - radiant/ui/materials/MaterialPopulator.h Diff File
mod - radiant/ui/particles/ThreadedParticlesLoader.h Diff File
mod - tools/msvc/wxutillib.vcxproj Diff File
mod - tools/msvc/wxutillib.vcxproj.filters Diff File

DarkRadiant: master a506aac8

2022-07-29 10:19:41

greebo

Details Diff
0006021: Attempt to work around Linux compilation problem Affected Issues
0006021
mod - libs/wxutil/DeclarationSourceView.h Diff File

DarkRadiant: master 510d0713

2022-07-29 10:49:18

greebo

Details Diff
0006021: Move common code to ThreadedDeclarationTreePopulator. DeclarationTreeView defines the declName column to be the one to be used when adding/removing favourites in ResourceTreeView.
This also fixes a few glaring copy/paste errors in the various populator classes.
Affected Issues
0006021
mod - libs/wxutil/dataview/DeclarationTreeView.cpp Diff File
mod - libs/wxutil/dataview/ResourceTreeView.cpp Diff File
mod - libs/wxutil/dataview/ResourceTreeView.h Diff File
mod - libs/wxutil/dataview/ThreadedDeclarationTreePopulator.h Diff File
mod - plugins/dm.editing/ThreadedEntityDefPopulator.h Diff File
mod - radiant/ui/animationpreview/MD5AnimationViewer.cpp Diff File
mod - radiant/ui/common/ShaderSelector.cpp Diff File
mod - radiant/ui/common/SkinChooser.cpp Diff File
mod - radiant/ui/common/SoundChooser.cpp Diff File
mod - radiant/ui/eclasstree/EClassTreeBuilder.cpp Diff File
mod - radiant/ui/eclasstree/EClassTreeBuilder.h Diff File
mod - radiant/ui/materials/MaterialPopulator.cpp Diff File
mod - radiant/ui/materials/MaterialPopulator.h Diff File
mod - radiant/ui/particles/ThreadedParticlesLoader.h Diff File

DarkRadiant: master 7a5db120

2022-07-29 11:56:57

greebo

Details Diff
0006021: Move row assignment code from ThreadedParticlesLoader to ThreadedDeclarationTreePopulator Affected Issues
0006021
mod - libs/wxutil/dataview/ThreadedDeclarationTreePopulator.h Diff File
mod - radiant/ui/particles/ThreadedParticlesLoader.h Diff File

DarkRadiant: master 8f58dc84

2022-07-29 12:00:48

greebo

Details Diff
0006021: Move row assignment code from ThreadedModelDefLoader to ThreadedDeclarationTreePopulator Affected Issues
0006021
mod - radiant/ui/animationpreview/MD5AnimationViewer.cpp Diff File

DarkRadiant: master 267a7167

2022-07-29 12:17:51

greebo

Details Diff
0006021: Move row assignment code from ThreadedMaterialLoader to ThreadedDeclarationTreePopulator Affected Issues
0006021
mod - radiant/ui/common/ShaderSelector.cpp Diff File

DarkRadiant: master 7b280d0b

2022-07-29 12:30:13

greebo

Details Diff
0006021: Move row assignment code from ThreadedSkinLoader to ThreadedDeclarationTreePopulator Affected Issues
0006021
mod - radiant/ui/common/SkinChooser.cpp Diff File

DarkRadiant: master 9bb91868

2022-07-29 13:00:11

greebo

Details Diff
0006021: Use a VFSTreePopulator in ThreadedSkinLoader to distribute skins Affected Issues
0006021
mod - radiant/ui/common/SkinChooser.cpp Diff File

DarkRadiant: master f923df47

2022-07-29 13:22:02

greebo

Details Diff
0006021: The "Matching Skins" folder should always be sorted on top of the tree Affected Issues
0006021
mod - radiant/ui/common/SkinChooser.cpp Diff File

DarkRadiant: master a264d981

2022-07-29 13:30:21

greebo

Details Diff
0006021: Move row assignment code from ThreadedEntityDefPopulator to ThreadedDeclarationTreePopulator Affected Issues
0006021
mod - plugins/dm.editing/ThreadedEntityDefPopulator.h Diff File

DarkRadiant: master c0e8c69b

2022-07-29 13:39:41

greebo

Details Diff
0006021: Migrate ThreadedSoundShaderLoader population code to use the base methods in ThreadedDeclarationTreePopulator Affected Issues
0006021
mod - radiant/ui/common/SoundChooser.cpp Diff File

DarkRadiant: master 2d344cd7

2022-07-29 16:27:16

greebo

Details Diff
0006021: Migrate EClassTreeBuilder population code to use the base methods in ThreadedDeclarationTreePopulator Affected Issues
0006021
mod - radiant/ui/eclasstree/EClassTree.cpp Diff File
mod - radiant/ui/eclasstree/EClassTreeBuilder.cpp Diff File
mod - radiant/ui/eclasstree/EClassTreeBuilder.h Diff File

DarkRadiant: master a5c2a149

2022-07-29 17:01:38

greebo

Details Diff
0006021: Start refactoring MaterialPopulator, merge ShaderNameFunctor helper class into the owning class Affected Issues
0006021
mod - radiant/ui/materials/MaterialPopulator.cpp Diff File
mod - radiant/ui/materials/MaterialPopulator.h Diff File

DarkRadiant: master e9bc0612

2022-07-29 17:13:39

greebo

Details Diff
0006021: Use base class methods to reduce code duplication Affected Issues
0006021
mod - radiant/ui/materials/MaterialPopulator.cpp Diff File
mod - radiant/ui/materials/MaterialPopulator.h Diff File

DarkRadiant: master 724d4ecd

2022-07-29 17:31:44

greebo

Details Diff
0006021: Use a VFSTreePopulator to load the textures into the MaterialTreeView. Affected Issues
0006021
mod - radiant/ui/materials/MaterialPopulator.cpp Diff File
mod - radiant/ui/materials/MaterialPopulator.h Diff File
mod - radiant/ui/mediabrowser/MediaBrowser.cpp Diff File
mod - radiant/ui/mediabrowser/MediaBrowserTreeView.cpp Diff File

DarkRadiant: master e4734254

2022-07-29 17:35:33

greebo

Details Diff
0006021: Remove a bunch of unused code Affected Issues
0006021
mod - radiant/ui/materials/MaterialPopulator.cpp Diff File
mod - radiant/ui/materials/MaterialPopulator.h Diff File

DarkRadiant: master 5a3b09cb

2022-07-29 18:25:30

greebo

Details Diff
0006021: Fix newly created or copied materials marked as non-modifiable after saving Affected Issues
0006021
mod - radiant/ui/materials/MaterialPopulator.cpp Diff File
mod - radiantcore/decl/DeclarationManager.cpp Diff File
mod - radiantcore/shaders/CShader.cpp Diff File
mod - test/MaterialExport.cpp Diff File

DarkRadiant: master bc97638c

2022-07-30 03:46:26

greebo

Details Diff
0006021: Add default SortModel implementation to ThreadedDeclarationTreePopulator Affected Issues
0006021
mod - libs/wxutil/dataview/ThreadedDeclarationTreePopulator.h Diff File
mod - radiant/ui/animationpreview/MD5AnimationViewer.cpp Diff File
mod - radiant/ui/common/ShaderSelector.cpp Diff File
mod - radiant/ui/common/SoundChooser.cpp Diff File
mod - radiant/ui/eclasstree/EClassTreeBuilder.cpp Diff File
mod - radiant/ui/eclasstree/EClassTreeBuilder.h Diff File

DarkRadiant: master ec800003

2022-07-30 04:22:55

greebo

Details Diff
0006021: ShaderSelector is using TexturePreviewCombo now. Extend TexturePreviewCombo code to be able to recognise light textures on its own. Affected Issues
0006021
mod - radiant/ui/common/ShaderSelector.cpp Diff File
mod - radiant/ui/common/ShaderSelector.h Diff File
mod - radiant/ui/common/TexturePreviewCombo.cpp Diff File
mod - radiant/ui/common/TexturePreviewCombo.h Diff File

DarkRadiant: master 77c8573a

2022-07-30 05:00:24

greebo

Details Diff
0006021: Remove a ton of redundant code from ShaderSelector. Remove the ShaderSelector::Client interface in favour of a callback. Affected Issues
0006021
mod - radiant/ui/common/ShaderChooser.cpp Diff File
mod - radiant/ui/common/ShaderChooser.h Diff File
mod - radiant/ui/common/ShaderSelector.cpp Diff File
mod - radiant/ui/common/ShaderSelector.h Diff File
mod - radiant/ui/einspector/LightTextureChooser.cpp Diff File
mod - radiant/ui/einspector/LightTextureChooser.h Diff File
mod - radiant/ui/lightinspector/LightInspector.cpp Diff File
mod - radiant/ui/lightinspector/LightInspector.h Diff File

DarkRadiant: master 8e4556c1

2022-07-30 05:22:24

greebo

Details Diff
0006021: Move light texture prefix loading to gamelib.h, that code had been copied around like three times. Affected Issues
0006021
mod - libs/gamelib.h Diff File
mod - radiant/ui/common/ShaderChooser.cpp Diff File
mod - radiant/ui/common/ShaderSelector.cpp Diff File
mod - radiant/ui/common/ShaderSelector.h Diff File
mod - radiant/ui/common/TexturePreviewCombo.cpp Diff File
mod - radiant/ui/einspector/LightTextureChooser.cpp Diff File
mod - radiant/ui/einspector/LightTextureChooser.h Diff File
mod - radiant/ui/lightinspector/LightInspector.cpp Diff File

DarkRadiant: master c9e6bc43

2022-07-30 05:47:57

greebo

Details Diff
0006021: Replace LightTextureChooser with ShaderChooser, allowing to filter which textures should be listed Affected Issues
0006021
mod - radiant/CMakeLists.txt Diff File
mod - radiant/ui/common/ShaderChooser.cpp Diff File
mod - radiant/ui/common/ShaderChooser.h Diff File
mod - radiant/ui/common/ShaderSelector.h Diff File
rm - radiant/ui/einspector/LightTextureChooser.cpp Diff File
rm - radiant/ui/einspector/LightTextureChooser.h Diff File
mod - radiant/ui/einspector/TexturePropertyEditor.cpp Diff File
mod - radiant/ui/findshader/FindShader.cpp Diff File
mod - radiant/ui/surfaceinspector/SurfaceInspector.cpp Diff File
mod - tools/msvc/DarkRadiant.vcxproj Diff File
mod - tools/msvc/DarkRadiant.vcxproj.filters Diff File

DarkRadiant: master 8b2d518b

2022-07-30 05:59:18

greebo

Details Diff
0006021: Move DefinitionView-related source files to wxutil/sourceview/ folder Affected Issues
0006021
mod - libs/wxutil/CMakeLists.txt Diff File
mod - libs/wxutil/dataview/DeclarationTreeView.cpp Diff File
mod - radiant/ui/materials/editor/MaterialEditor.cpp Diff File
mod - radiant/ui/materials/editor/MaterialEditor.h Diff File
mod - radiant/ui/modelselector/MaterialsList.cpp Diff File
mod - radiant/ui/script/ScriptWindow.cpp Diff File
mod - tools/msvc/wxutillib.vcxproj Diff File
mod - tools/msvc/wxutillib.vcxproj.filters Diff File

DarkRadiant: master 3b3b557d

2022-07-30 06:13:58

greebo

Details Diff
0006021: Move Console-related source files to ui/console/ folder Affected Issues
0006021
mod - radiant/CMakeLists.txt Diff File
mod - radiant/ui/UserInterfaceModule.cpp Diff File
mod - radiant/ui/mainframe/MainFrame.cpp Diff File
mod - tools/msvc/DarkRadiant.vcxproj Diff File
mod - tools/msvc/DarkRadiant.vcxproj.filters Diff File

DarkRadiant: master a7b0242c

2022-07-30 06:32:50

greebo

Details Diff
0006021: Add keywords to highlight the particle syntax Affected Issues
0006021
mod - libs/wxutil/sourceview/DeclarationSourceView.h Diff File
mod - libs/wxutil/sourceview/SourceView.cpp Diff File
mod - libs/wxutil/sourceview/SourceView.h Diff File

DarkRadiant: master 4e07e237

2022-07-30 06:37:02

greebo

Details Diff
0006021: Update the model and skin icons used in the Entity Inspector Affected Issues
0006021
mod - install/bitmaps/icon_model.png Diff File
mod - install/bitmaps/icon_skin.png Diff File

DarkRadiant: master 8352d671

2022-07-30 06:43:19

greebo

Details Diff
0006021: Add/replace a few more icons Affected Issues
0006021
mod - install/menu.xml Diff File
mod - radiant/ui/ortho/OrthoContextMenu.cpp Diff File
mod - radiant/ui/script/ScriptUserInterfaceModule.cpp Diff File

DarkRadiant: master 5ecaebe5

2022-07-30 07:20:30

greebo

Details Diff
0006021: Add syntax highlighting for modelDefs. Move DeclarationSourceView implementation to .cpp file Affected Issues
0006021
mod - libs/wxutil/CMakeLists.txt Diff File
add - libs/wxutil/sourceview/DeclarationSourceView.cpp Diff File
mod - libs/wxutil/sourceview/DeclarationSourceView.h Diff File
mod - libs/wxutil/sourceview/SourceView.cpp Diff File
mod - libs/wxutil/sourceview/SourceView.h Diff File
mod - tools/msvc/wxutillib.vcxproj Diff File
mod - tools/msvc/wxutillib.vcxproj.filters Diff File

DarkRadiant: master e7a42c90

2022-07-30 07:37:21

greebo

Details Diff
0006021: Highlight secondary keywords in bold and italic Affected Issues
0006021
mod - libs/wxutil/sourceview/SourceView.cpp Diff File

Issue History

Date Modified Username Field Change
22.07.2022 16:54 greebo New Issue
22.07.2022 16:54 greebo Assigned To => greebo
22.07.2022 16:54 greebo Status new => assigned
22.07.2022 19:52 Dragofer Relationship added related to 0005743
24.07.2022 13:50 greebo Changeset attached => DarkRadiant master 17c9c079
24.07.2022 13:50 greebo Changeset attached => DarkRadiant master c8614889
24.07.2022 13:50 greebo Changeset attached => DarkRadiant master ddbd3e55
24.07.2022 13:50 greebo Changeset attached => DarkRadiant master ddc4ed96
24.07.2022 13:50 greebo Changeset attached => DarkRadiant master 78650002
24.07.2022 13:50 greebo Changeset attached => DarkRadiant master e7e7840e
24.07.2022 13:50 greebo Changeset attached => DarkRadiant master cbedaadf
24.07.2022 16:16 greebo Changeset attached => DarkRadiant master 767f360e
24.07.2022 16:16 greebo Changeset attached => DarkRadiant master c7cba892
24.07.2022 16:16 greebo Changeset attached => DarkRadiant master 91db9c66
24.07.2022 16:16 greebo Changeset attached => DarkRadiant master af334cb1
24.07.2022 16:16 greebo Changeset attached => DarkRadiant master 89801e85
24.07.2022 16:16 greebo Changeset attached => DarkRadiant master a68fd9db
24.07.2022 18:33 greebo Changeset attached => DarkRadiant master a6bd7a2a
24.07.2022 18:33 greebo Changeset attached => DarkRadiant master 6c3454b7
24.07.2022 18:33 greebo Changeset attached => DarkRadiant master 3466b76b
29.07.2022 07:04 greebo Changeset attached => DarkRadiant master ce7acbbe
29.07.2022 07:04 greebo Changeset attached => DarkRadiant master df634e46
29.07.2022 07:04 greebo Changeset attached => DarkRadiant master d8537733
29.07.2022 07:04 greebo Changeset attached => DarkRadiant master 08618933
29.07.2022 07:04 greebo Changeset attached => DarkRadiant master 2231bcc6
29.07.2022 07:04 greebo Changeset attached => DarkRadiant master 86656af9
29.07.2022 07:04 greebo Changeset attached => DarkRadiant master bb923b00
29.07.2022 07:04 greebo Changeset attached => DarkRadiant master 5811d7ec
29.07.2022 07:04 greebo Changeset attached => DarkRadiant master 4c99a47f
29.07.2022 09:45 greebo Changeset attached => DarkRadiant master 7e9f2b16
29.07.2022 09:45 greebo Changeset attached => DarkRadiant master bd51b602
29.07.2022 09:45 greebo Changeset attached => DarkRadiant master 103f87bb
29.07.2022 09:45 greebo Changeset attached => DarkRadiant master 16d33ce8
29.07.2022 09:45 greebo Changeset attached => DarkRadiant master 3d6781f0
29.07.2022 09:45 greebo Changeset attached => DarkRadiant master 09c62102
29.07.2022 09:45 greebo Changeset attached => DarkRadiant master 601c6fbc
29.07.2022 09:45 greebo Changeset attached => DarkRadiant master 02bf1b0c
29.07.2022 10:19 greebo Changeset attached => DarkRadiant master 8aecb592
29.07.2022 10:19 greebo Changeset attached => DarkRadiant master a506aac8
29.07.2022 12:30 greebo Changeset attached => DarkRadiant master 510d0713
29.07.2022 12:30 greebo Changeset attached => DarkRadiant master 7a5db120
29.07.2022 12:30 greebo Changeset attached => DarkRadiant master 8f58dc84
29.07.2022 12:30 greebo Changeset attached => DarkRadiant master 267a7167
29.07.2022 12:30 greebo Changeset attached => DarkRadiant master 7b280d0b
29.07.2022 13:39 greebo Changeset attached => DarkRadiant master 9bb91868
29.07.2022 13:39 greebo Changeset attached => DarkRadiant master f923df47
29.07.2022 13:39 greebo Changeset attached => DarkRadiant master a264d981
29.07.2022 13:39 greebo Changeset attached => DarkRadiant master c0e8c69b
29.07.2022 18:25 greebo Changeset attached => DarkRadiant master 2d344cd7
29.07.2022 18:25 greebo Changeset attached => DarkRadiant master a5c2a149
29.07.2022 18:25 greebo Changeset attached => DarkRadiant master e9bc0612
29.07.2022 18:25 greebo Changeset attached => DarkRadiant master 724d4ecd
29.07.2022 18:25 greebo Changeset attached => DarkRadiant master e4734254
29.07.2022 18:25 greebo Changeset attached => DarkRadiant master 5a3b09cb
30.07.2022 07:37 greebo Changeset attached => DarkRadiant master bc97638c
30.07.2022 07:37 greebo Changeset attached => DarkRadiant master ec800003
30.07.2022 07:37 greebo Changeset attached => DarkRadiant master 77c8573a
30.07.2022 07:37 greebo Changeset attached => DarkRadiant master 8e4556c1
30.07.2022 07:37 greebo Changeset attached => DarkRadiant master c9e6bc43
30.07.2022 07:37 greebo Changeset attached => DarkRadiant master 8b2d518b
30.07.2022 07:37 greebo Changeset attached => DarkRadiant master 3b3b557d
30.07.2022 07:37 greebo Changeset attached => DarkRadiant master a7b0242c
30.07.2022 07:37 greebo Changeset attached => DarkRadiant master 4e07e237
30.07.2022 07:37 greebo Changeset attached => DarkRadiant master 8352d671
30.07.2022 07:37 greebo Changeset attached => DarkRadiant master 5ecaebe5
30.07.2022 07:37 greebo Changeset attached => DarkRadiant master e7a42c90
30.07.2022 07:48 greebo Status assigned => resolved
30.07.2022 07:48 greebo Resolution open => fixed
30.07.2022 07:48 greebo Fixed in Version => 3.1.0